package com.nokia.dingtalkapi.config;

import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import com.nokia.dingtalkapi.properties.DingtalkProperties;

/**
 * 自动配置钉钉API
 */
@Configuration
@ConditionalOnProperty(name = "dingtalk.api.enable", havingValue = "true", matchIfMissing = false)
@EnableConfigurationProperties(DingtalkProperties.class)
public class DingtalkAutoConfiguration {

}
