package com.nokia.dingtalkapi.properties;

import org.springframework.boot.context.properties.ConfigurationProperties;

import lombok.Data;

/**
 * 独立的Redis参数
 */
@Data
@ConfigurationProperties(prefix = "dingtalk.api.redis")
public class DingtalkRedisProperties {

    private String host;
    private int port;
    private int database = 0;
}
